%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Ruby and Python wrappers for the cyrus sasl library
Name:		saslwrapper
Version:	0.14
Release:	3
License:	ASL 2.0
Group:		System/Libraries
Url:		http://qpid.apache.org
# svn export -r 1209041 https://svn.apache.org/repos/asf/qpid/branches/0.14/qpid/extras/sasl saslwrapper-0.14
# tar -cvzf saslwrapper-0.14.tar.gz saslwrapper-0.14
Source0:	%{name}-%{version}.tar.gz
Patch0:		configure.patch
BuildRequires:	cyrus-sasl
BuildRequires:	doxygen
BuildRequires:	ruby
BuildRequires:	swig
BuildRequires:	libsasl2-devel
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(ruby)

%description
A simple wrapper for cyrus-sasl that permits easy binding into
scripting languages.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for saslwrapper
Group:		System/Libraries
Conflicts:	%{name} < 0.14-3
Obsoletes:	%{name} < 0.14-3

%description -n %{libname}
Shared library for saslwrapper.

%files -n %{libname}
%doc LICENSE
%{_libdir}/libsaslwrapper.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files for developing with saslwrapper
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 0.14-3
Obsoletes:	%{name}-devel < 0.14-3

%description -n %{devname}
The header files for developing with saslwrapper.

%files -n %{devname}
%{_includedir}/saslwrapper.h
%{_libdir}/libsaslwrapper.so

#----------------------------------------------------------------------------

%package -n python-saslwrapper
Summary:	Python bindings for saslwrapper
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Requires:	python

%description -n python-saslwrapper
Python bindings for the saslwrapper library.

%files -n python-saslwrapper
%{python_sitearch}/saslwrapper.py*
%{python_sitearch}/_saslwrapper.so

#----------------------------------------------------------------------------

%package -n ruby-saslwrapper
Summary:	Ruby bindings for saslwrapper
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Requires:	ruby

%description -n ruby-saslwrapper
Ruby bindings for the saslwrapper library.

%files -n ruby-saslwrapper
%{ruby_sitearchdir}/saslwrapper.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
export LDFLAGS="-lsasl2"
./bootstrap
%configure
%make

%install
%makeinstall_std

%check
make check


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.14-3
- (9b7bb32) Name library and development packages according to library packaging policy
- (9b7bb32) Spec cleanup


